QueryParameterTransformationPolicy¶
- class oci.apigateway.models.QueryParameterTransformationPolicy(**kwargs)¶
Bases:
objectA set of transformations to apply to query parameters that pass through the gateway.
Methods:
__init__(**kwargs)Initializes a new QueryParameterTransformationPolicy object with values from keyword arguments.
Attributes:
Gets the filter_query_parameters of this QueryParameterTransformationPolicy.
Gets the rename_query_parameters of this QueryParameterTransformationPolicy.
Gets the set_query_parameters of this QueryParameterTransformationPolicy.
- __init__(**kwargs)¶
Initializes a new QueryParameterTransformationPolicy object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
set_query_parameters (oci.apigateway.models.SetQueryParameterPolicy) – The value to assign to the set_query_parameters property of this QueryParameterTransformationPolicy.
rename_query_parameters (oci.apigateway.models.RenameQueryParameterPolicy) – The value to assign to the rename_query_parameters property of this QueryParameterTransformationPolicy.
filter_query_parameters (oci.apigateway.models.FilterQueryParameterPolicy) – The value to assign to the filter_query_parameters property of this QueryParameterTransformationPolicy.
- property filter_query_parameters¶
Gets the filter_query_parameters of this QueryParameterTransformationPolicy.
- Returns
The filter_query_parameters of this QueryParameterTransformationPolicy.
- Return type
- property rename_query_parameters¶
Gets the rename_query_parameters of this QueryParameterTransformationPolicy.
- Returns
The rename_query_parameters of this QueryParameterTransformationPolicy.
- Return type
- property set_query_parameters¶
Gets the set_query_parameters of this QueryParameterTransformationPolicy.
- Returns
The set_query_parameters of this QueryParameterTransformationPolicy.
- Return type